Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes
Imports MindFusion.Charting.Wpf
Imports System.Windows.Media.Effects
Imports System.Collections

''' <summary>
''' Interaction logic for Window1.xaml
''' </summary>
Public Partial Class Window1
	Inherits Window
	Public Sub New()
		InitializeComponent()
		lineChart.TitleVisibility = System.Windows.Visibility.Collapsed
		lineChart.PlotAreaMargin = New Thickness(20, 50, 20, 20)
		lineChart.XAxes(0).LabelType = LabelType.AutoScale
		lineChart.XAxes(0).Labels.Clear()
		lineChart.XAxes(0).LabelType = LabelType.CustomText
		lineChart.XAxes(0).CustomLabelPosition = CustomLabelPosition.AutoScalePoints
		lineChart.XAxes(0).Labels.Add((DateTime.Now - TimeSpan.FromDays(1)).ToString("  "))
		lineChart.XAxes(0).LabelOffset = 15
		lineChart.XAxes(0).Title = "2016"
		lineChart.XAxes(0).TitleOffset = 20
		lineChart.XAxes(0).LabelRotationAngle = 330
		lineChart.YAxes(0).Interval = 5000
		lineChart.YAxes(0).TitleRotationAngle = 270
		lineChart.YAxes(0).TitleOffset = 20
		lineChart.YAxes(0).LabelFormat = "$ 0"

		Dim coef As Double = 1000
		Dim r As New Random()
		Dim list As New List(Of StockPrice)()
		For i As Integer = 0 To 18
			Dim low As Double = i Mod 8 + 10
			If i > 7 AndAlso i < 16 Then
				low = 8 - i Mod 8 + 10
			End If
			low += r.[Next](-2, 2)
			Dim high As Double = low + 10
			Dim open As Double = low + r.[Next](10)
			Dim close As Double = low + r.[Next](10)
			Dim d As DateTime = DateTime.Now + TimeSpan.FromDays(i)
			list.Add(New StockPrice(open * coef, close * coef, low * coef, high * coef, d))
			lineChart.XAxes(0).Labels.Add(d.ToString("MMM dd"))
		Next

		Dim series As New CandlestickSeries()
		series.Values = list
		series.Effect = New DropShadowEffect() With { _
		 .Opacity = 0.3 _
		}
		series.ToolTipType = ToolTipType.ChartData
		series.TopLabelType = LabelType.ChartData
		series.TopLabelFormat = "{4}"
		lineChart.Series.Add(series)
	End Sub
End Class
